Bug 1013620 - Failure when starting an XDMCP session
Failure when starting an XDMCP session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lightdm (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 09:08 EDT by Patrick Monnerat
Modified: 2014-02-05 17:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:26:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2013-09-30 09:08:58 EDT
Description of problem:
After a number of perfect XDMCP session handling, lightdm fails to start any other. The time/number of good sessions before failure seems random.
In /var/log/message, the failure track is:
----
Sep 30 14:02:18 linuxdev xinetd[1040]: START: vnc-1152x864x24 pid=4569 from=172.25.3.88
Sep 30 14:02:18 linuxdev lightdm[32540]: (lightdm:32540): GLib-GObject-WARNING **: invalid (NULL) pointer instance
Sep 30 14:02:18 linuxdev lightdm[32540]: (lightdm:32540): GLib-GObject-CRITICAL **: g_signal_handlers_disconnect_matched: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Sep 30 14:02:18 linuxdev lightdm[32540]: (lightdm:32540): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Sep 30 14:02:18 linuxdev xinetd[1040]: EXIT: vnc-1152x864x24 status=0 pid=4569 duration=0(sec)
----

Version-Release number of selected component (if applicable):
lightdm-1.4.3-1.fc18.x86_64
tigervnc-server-1.2.80-0.10.20130314svn5065.fc18.x86_64
xinetd-2.3.15-4.fc18.x86_64

How reproducible:
Seems random: no recipe.

Steps to Reproduce:
1. Enable XDMCP in lightdm.
2. Configure a dynamic vnc server via xinetd. I.e.:
   server          = /usr/bin/Xvnc
   server_args     = -inetd -once -query localhost -geometry 1152x864 -dpi 100 -depth 24 -securitytypes=none +extension GLX
3. Start and stop sessions until it fails.

Actual results:
When failure occurs, starting a vnc session flashes screen very quickly and quits.

Expected results:
No session failure.

Additional info:
The goal is to start a Mate session.

Thanks for investigating.
Comment 1 Fedora End Of Life 2013-12-21 09:38:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:26:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.